import alertReducer, { setError, success, info, warning, promise } from "./reducer/alertReducer";
import { AlertComponent } from "./provider/AlertComponent";
import { AlertProvider } from "./provider/AlertProvider";
import { ToastAlert } from "./provider/ToastAlert";
import { ToastType } from "./types/toastType";
import { PromiseConfig } from "./types/reducerType";

export {
    alertReducer,
    AlertProvider,
    AlertComponent,
    ToastAlert,
    setError,
    success,
    info,
    warning,
    promise
};
export type {
    ToastType,
    PromiseConfig
};
